MetricSetControllerAddAllElementsToMetricSet Method

POST /MetricSet/AddAllElements/{id} Adds all the elements to the metric set with the specified placement position.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("AddAllElements")]
public IActionResult AddAllElementsToMetricSet(
	Guid id,
	[FromBodyAttribute] PlacementPosition placement,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the metric set to add the elements to.
placement
Type: Dundas.BI.Entities.MetricSetsPlacementPosition
The placement position to add all the elements to.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
A MetricSetData object containing the updated metric set data, or a status code indicating the problem.
See Also